## linux-meta-gcp-6.17 6.17.0-1007.7~24.04.1

=== debian/changelog ===
linux-meta-gcp-6.17 (6.17.0-1007.7~24.04.1) noble; urgency=medium

  * Main version: 6.17.0-1007.7~24.04.1

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants
    - [Packaging] debian/dkms-versions -- resync from main package

 -- Ian Whitfield <ian.whitfield@canonical.com>  Tue, 20 Jan 2026 11:50:02 -0500
