=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Standards-Version: 3.9.8
 Build-Depends: dpkg (>= 1.13.19), debhelper (>= 9), gawk, kmod
 Build-Depends-Arch:
- linux-gcp-6.17-headers-6.17.0-1004,
- linux-headers-6.17.0-1004-gcp,
- linux-modules-6.17.0-1004-gcp,
+ linux-gcp-6.17-headers-6.17.0-1007,
+ linux-headers-6.17.0-1007-gcp,
+ linux-modules-6.17.0-1007-gcp,
 Vcs-Git: git://git.launchpad.net/~canonical-kernel/ubuntu/+source/linux-meta-gcp/+git/noble -b gcp-6.17
 
 Package: linux-headers-gcp-6.17
@@ -47,6 +47,43 @@
  (GCP) Linux kernel and headers.
 
 
+Package: linux-headers-gcp
+Architecture: amd64 arm64
+Section: kernel
+Depends: ${misc:Depends}, linux-headers-${kernel-abi-version}-gcp
+Description: Google Cloud Platform (GCP) Linux kernel headers
+ This package will always depend on the latest Google Cloud Platform (GCP)
+ kernel headers available.
+
+Package: linux-image-gcp
+Architecture: amd64 arm64
+Section: kernel
+Provides: ${dkms:zfs-modules} ${dkms:virtualbox-guest-modules} ${dkms:wireguard-linux-compat-modules}
+Depends: ${misc:Depends}, linux-image-${kernel-abi-version}-gcp
+Description: Google Cloud Platform (GCP) Linux kernel image
+ This package will always depend on the latest Google Cloud Platform (GCP)
+ kernel image available.
+
+Package: linux-tools-gcp
+Architecture: amd64 arm64
+Section: kernel
+Provides: linux-tools
+Depends: ${misc:Depends}, linux-tools-${kernel-abi-version}-gcp
+Description: Google Cloud Platform (GCP) Linux kernel tools
+ This package will always depend on the latest Google Cloud Platform (GCP)
+ kernel tools available.
+
+Package: linux-gcp
+Architecture: amd64 arm64
+Section: kernel
+Provides:  
+Depends: ${misc:Depends}, linux-image-gcp (= ${binary:Version}), linux-headers-gcp (= ${binary:Version})
+Recommends: linux-tools-${kernel-abi-version}-gcp, ubuntu-kernel-accessories
+Description: Complete Google Cloud Platform (GCP) Linux kernel and headers
+ This package will always depend on the latest complete Google Cloud Platform
+ (GCP) Linux kernel and headers.
+
+
 Package: linux-headers-gcp-edge
 Architecture: amd64 arm64
 Section: kernel
@@ -121,6 +158,43 @@
  (GCP) Linux kernel and headers.
 
 
+Package: linux-headers-gcp-64k
+Architecture: arm64
+Section: kernel
+Depends: ${misc:Depends}, linux-headers-${kernel-abi-version}-gcp-64k
+Description: Google Cloud Platform (GCP) Linux kernel headers
+ This package will always depend on the latest Google Cloud Platform (GCP)
+ kernel headers available.
+
+Package: linux-image-gcp-64k
+Architecture: arm64
+Section: kernel
+Provides: ${dkms:zfs-modules} ${dkms:virtualbox-guest-modules} ${dkms:wireguard-linux-compat-modules}
+Depends: ${misc:Depends}, linux-image-${kernel-abi-version}-gcp-64k
+Description: Google Cloud Platform (GCP) Linux kernel image
+ This package will always depend on the latest Google Cloud Platform (GCP)
+ kernel image available.
+
+Package: linux-tools-gcp-64k
+Architecture: arm64
+Section: kernel
+Provides: linux-tools
+Depends: ${misc:Depends}, linux-tools-${kernel-abi-version}-gcp-64k
+Description: Google Cloud Platform (GCP) Linux kernel tools
+ This package will always depend on the latest Google Cloud Platform (GCP)
+ kernel tools available.
+
+Package: linux-gcp-64k
+Architecture: arm64
+Section: kernel
+Provides: 
+Depends: ${misc:Depends}, linux-image-gcp-64k (= ${binary:Version}), linux-headers-gcp-64k (= ${binary:Version})
+Recommends: linux-tools-${kernel-abi-version}-gcp-64k, ubuntu-kernel-accessories
+Description: Complete Google Cloud Platform (GCP) Linux kernel and headers
+ This package will always depend on the latest complete Google Cloud Platform
+ (GCP) Linux kernel and headers.
+
+
 Package: linux-headers-gcp-64k-edge
 Architecture: arm64
 Section: kernel
