## linux-meta-gcp-6.17 6.17.0-1008.8~24.04.1

=== debian/changelog ===
linux-meta-gcp-6.17 (6.17.0-1008.8~24.04.1) noble; urgency=medium

  * Main version: 6.17.0-1008.8~24.04.1

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- resync from main package

 -- Ian Whitfield <ian.whitfield@canonical.com>  Fri, 30 Jan 2026 17:06:51 -0500
