=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Standards-Version: 3.9.8
 Build-Depends: dpkg (>= 1.13.19), debhelper (>= 9), gawk, kmod
 Build-Depends-Arch:
- linux-gcp-6.17-headers-6.17.0-1007,
- linux-headers-6.17.0-1007-gcp,
- linux-modules-6.17.0-1007-gcp,
+ linux-gcp-6.17-headers-6.17.0-1008,
+ linux-headers-6.17.0-1008-gcp,
+ linux-modules-6.17.0-1008-gcp,
 Vcs-Git: git://git.launchpad.net/~canonical-kernel/ubuntu/+source/linux-meta-gcp/+git/noble -b gcp-6.17
 
 Package: linux-headers-gcp-6.17
